body {
    background-color: #f0f0f0;
    padding: 0;
    margin: 0;
    user-select: none;
    -webkit-user-select: none;
}

p {
    font-family: Inconsolata, "Verdana", sans-serif;
    color: black;
}

.right-align {
    text-align: right;
}

#landscape-indicator {
    display: none;
}

.small-screen-only {
    display: none;
}

@keyframes splash-fade {
    0%   {top: 0; left: 0; width:100%; height:100%; opacity:100%;}
    100% {top: 50%; left: 50%; width:0%; height:0%; opacity:0%;}
}

#splash {
    z-index: 100;
    position: fixed;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    background-color: white;
    animation-delay: 1s;
    animation-duration: 1s;
    animation-direction: initial;
    animation-name: splash-fade;
    animation-iteration-count: 1;
    animation-fill-mode: forwards;
}

#splash object {
    display: block;
    margin: 5% auto;
    height: 80%;
}

.tab-title {
    float: left;
    height: 100%;
    writing-mode: vertical-rl;
    text-orientation: mixed;
    text-align: left;
    margin: 20px 0 0 0;

    color: rgba(0, 0, 0, 0.5);
    font-family: arjowiggins;
    font-size: 2em;
    z-index: 500;
}

.menu-root button {
    display: block;
    width: 100%;
    font-size: 18pt;
    margin-bottom: 12px;
}

h1 {
    float: left;
    /*display: inline;*/
    height: 100%;
    writing-mode: vertical-Lr;
    text-orientation: upright;
    font-size: 32pt;
    text-align: center;
}

div.spacer {
    height: 16px;
}

#info img {
    margin-top: 4%;
    margin-bottom: 4%;
    float: left;
    max-width: 40%;
    max-height: 92%;
}

#info p {
    margin-top: 0;
    padding-top: 0;
    margin-bottom: 0;
    padding-bottom: 0;
    /*display: inline;*/
}

#main {
    height: 100%;
    width: 100%;
    z-index: 10;
}

#main.div {
    /*display: inline;*/
}

#toggle-menu {
    width: 48px;
    height: 48px;
    min-width: 48px;
    min-height: 48px;
    max-width: 48px;
    max-height: 48px;
    /*background-blend-mode: lighten;*/
    background-image: url('images/menu-toggle.png');
    background-size: 48px 48px;
}

#game-status {
    display: grid;
    grid-template-columns: 48px auto;
    column-gap: 4px;

    position: fixed;
    top: 0;
    left: 70%;
    right: 0;
    height: 48px;
    z-index: 30;
    padding: 4px;

    border-left-width: 4px;
    border-bottom-width: 4px;
    border-bottom-style: solid;
    border-left-style: solid;
    border-radius: 0 0 0 10px;
    text-align: left;
    vertical-align: middle;
    font-size: 16px;
}

#game-status img {
    width: 48px;
    height: 48px;
}

#game-status p {
    padding: 0;
    margin: auto;
}

#system-notifier {
    position: fixed;
    bottom: 0;
    right: 0;
    z-index: 30;
    font-size: 12pt;
    margin: 4px;
    padding: 0;
    color: orangered;
    font-family: Inconsolata, "Verdana", sans-serif;
}

#system-notifier .okay {
    color: greenyellow;
}

#system-notifier .not-okay {
    color: darkred;
}

#system-notifier .offline {
    color: darkred;
}

#info-panel {
    display: grid;
    grid-template-columns: 48px auto;
    column-gap: 4px;

    position: fixed;
    top: 0;
    left: 0;
    right: 70%;
    height: 48px;
    z-index: 30;
    padding: 4px;

    border-right-width: 4px;
    border-bottom-width: 4px;
    border-bottom-style: solid;
    border-right-style: solid;
    border-radius: 0 0 10px 0;
    text-align: left;
    vertical-align: middle;

}

#info-panel p {
    padding: 0;
    margin: auto;
}

@keyframes pane-slide {
    /*0%   {top: 0; bottom: 0; left: 100px; right: 0;}*/
    /*100% {top: 0; bottom: 0; left: 0; right: 0;}*/
    0%   {transform: translate(100%, 0);}
    100% {transform: translate(0, 0);}
}

.pane-enter-active {
    animation: pane-slide 0.5s;
}

.pane-leave-active {
    animation: pane-slide 0.5s reverse;
}

#holder {
    overflow: hidden;
}

@keyframes message-show {
    0%   {top: 50%; left: 50%; bottom: 50%; right: 50%; opacity:0%; rotate: 0}
    10%  {rotate: 3deg}
    20%  {rotate: -3deg}
    40%  {rotate: 3deg}
    50%  {rotate: -3deg}
    60%  {rotate: 3deg}
    70%  {rotate: -3deg}
    80%  {rotate: 3deg}
    90%  {rotate: -3deg}
    100% {top: 40%; left: 25%; bottom: 40%; right: 25%; opacity:100%; rotate: 0}
}

.message-enter-active {
    animation: message-show 1s;
}

.message-leave-active {
    animation: message-show 1s reverse;
}

@keyframes fade-in {
    0%   {opacity:0%; transform: translate( -100%, 0)}
    100% {opacity:100%; transform: translate(0, 0)}
}

.fade-enter-active {
    animation: fade-in 0.2s;
}

.fade-leave-active {
    animation: fade-in 0.2s reverse;
}

#message-panel {
    position: fixed;
    top: 40%; left: 25%; bottom: 40%; right: 25%; opacity:100%;
    margin: auto;
    z-index: 30;
    font-size: 12pt;
    padding: 0;
    color: orangered;

    backdrop-filter: blur(2px);
    -webkit-backdrop-filter: blur(2px);
    background-image: url('images/solid-bg.png');
    background-blend-mode: color;
    border-width: 4px;
    border-style: solid;
    border-radius: 10px;
    padding: 8px 8px 8px 8px;
    text-align: center;
}

.game-panel {
    color: black;
    background-color: rgba(0, 0, 0, 0.3);
    -webkit-backdrop-filter: blur(2px) grayscale(1);
    backdrop-filter: blur(2px) grayscale(1);
    border-color: black;
}

.game-panel.darkMode {
     color: white;
     background-color: rgba(255, 255, 255, 0.3);
     -webkit-backdrop-filter: blur(2px) grayscale(1);
     backdrop-filter: blur(2px) grayscale(1);
     border-color: white;
 }

button,input {
    backdrop-filter: blur(1px) invert(100%);
    -webkit-backdrop-filter: blur(1px) invert(100%);
}

p,button,input {
    color: black;
    font-family: Inconsolata, "Verdana", sans-serif;
    text-shadow:
            -2px -2px 6px white,
            2px -2px 6px white,
            -2px 2px 6px white,
            2px 2px 6px white;
}

#info {
    position: fixed;
    top: 20%;
    bottom: 20%;
    right: 20%;
    left: 20%;
    z-index: 20;
    border-width: 4px;
    border-style: solid;
    border-radius: 10px;
    padding: 8px 8px 8px 8px;
    text-align: left;
}

#info-attribution {
    text-align: left;
    padding: 4px 0 0;
    margin: 8px 8px 8px 8px;
    font-size: 10pt;
}

#info .btn-group {
    display: inline-block;
    background-color: transparent;
    text-align: left;
    margin: 0px 4px 8px 4px;
    padding-top: 4px;
}

#info .any-group {
    background-color: transparent;
    text-align: left;
    margin: 0px 4px 8px 4px;
    padding-top: 4px;
}

#info .any-group * {
    display: block;
    margin: 4px 4px 4px 0px;
}

input {
    background-color: rgba(127, 127, 127, 0.3);
    border: 0;
    padding: 4px 12px; /* Some padding */
    cursor: text;
    border-radius: 10px;
    min-width: 60%;
    max-width: 60%;
}

button {
    background-color: rgba(255, 255, 255, 0.3);
    border: 2px solid black;
    padding: 4px 12px; /* Some padding */
    cursor: pointer;
    border-radius: 10px;
}

.btn-group * {
    background-color: transparent;
    border-radius: 0;
    float: left;
    margin: 0;
}

.btn-group :first-child {
    border-top-left-radius: 10px;
    border-bottom-left-radius: 10px;
}

.btn-group :last-child {
    border-top-right-radius: 10px;
    border-bottom-right-radius: 10px;
}

.btn-group.breadcrumb * {
    padding-left: 2px;
    padding-right: 2px;
    border-left-width: 0;
    border-right-width: 0;
}

.btn-group.breadcrumb :first-child {
    padding-left: 12px;
    border-left-width: 2px;
}

.btn-group.breadcrumb :last-child {
    padding-right: 12px;
    border-right-width: 2px;
}

/* Clear floats (clearfix hack) */
.btn-group:after {
    content: "";
    clear: both;
    display: table;
}

.btn-group.long-group button {
    font-size-adjust: 0.4;
}

/* Add a background color on hover */
button:hover {
    background-color: rgba(255, 255, 255, .4);
}

.btn-group button.active {
    background-color: rgba(255, 255, 255, 1);
}

button:disabled {
    background-color: rgba(0, 0, 0, .4);
    text-decoration-line: line-through;
}

#toggle-menu:hover {
    background-image: url('images/menu-toggle-hover.png');
}

#toggle-menu:active {
    background-image: url('images/menu-toggle-click.png');
}

#toggle-menu[disabled=true] {
    background-image: url('images/menu-toggle-disabled.png');
}

a {
    all: unset;
}

a:hover {
    all: unset;
    text-decoration-style: dotted;
    text-decoration-line: underline;
    text-decoration-color: azure;
    cursor: pointer;
}

a:visited {
    font-weight: bold;
}

.grid-container {
    display: grid;
    grid-template-columns: 60px auto auto;
    gap: 10px 20px;
}

.grid-item {

}

@font-face {
    font-family: arjowiggins;
    src: url(ArjoWiggins-Inuit.otf);
}

@font-face {
    font-family: Inconsolata;
    src: url(Inconsolata-VariableFont_wdth,wght.ttf);
}

@media screen
and (max-width: 900px) {
    .small-screen-only {
        display: revert;
    }

    .large-screen-only {
        display: none;
    }

    #info {
        top: 10%;
        bottom: 10%;
    }

    #info img.small-screen-only {
        float: none;
        display: block;
        margin-left: auto;
        margin-right: auto;
        max-width: 100%;
        max-height: 25%;
    }

    #splash object {
        display: block;
        margin: auto;
        width: 80%;
        height: 80%;
    }
}

@media screen
and (max-width: 600px) {
    #info-panel {
        font-size: 9pt;
    }
    #game-status {
        font-size: 9pt;
    }

    input {
        min-width: 80%;
        max-width: 80%;
    }
}

@media screen
and (max-width: 480px) {

    #info-panel {
        right: 55%;
    }
    #game-status {
        left: 55%;
    }
    #info {
        right: 10%;
        left: 10%;
    }
}

/* Game is unworkable in constrained landscape */
@media (max-height: 480px) {
    #landscape-indicator {
        display: block;
        z-index: 99;
        position: fixed;
        top: 0;
        left: 0;
        height: 100%;
        width: 100%;
        background-color: white;
    }

    #landscape-indicator div {
        padding: 0;
        margin: auto;
        width: 100vw;
        height: calc(100vh - env(safe-area-inset-bottom));

    }

    #landscape-indicator object {
        display: block;
        margin: 0;
        width: 100%;
        height: 100%;
    }
}

/* Game is unworkable at this width - this is just to make it look presentable */
@media screen
and (max-width: 370px) {
    #info {
        right: 5%;
        left: 5%;
    }
}

